!!ARBvp1.0

PARAM mvp[4]  = { state.matrix.mvp };

ATTRIB iVertex = vertex.position;
ATTRIB iNormal = vertex.normal;
ATTRIB iTex    = vertex.texcoord[0];

OUTPUT oPos     = result.position;
OUTPUT texCoord = result.texcoord[0];
OUTPUT fPos     = result.texcoord[1];
OUTPUT lightVec = result.texcoord[2];
OUTPUT normal   = result.texcoord[3];

PARAM position = program.local[0];
PARAM lightPos = program.local[1];

DP4 oPos.x, mvp[0], iVertex;
DP4 oPos.y, mvp[1], iVertex;
DP4 oPos.z, mvp[2], iVertex;
DP4 oPos.w, mvp[3], iVertex;

MOV texCoord, iTex;
SUB fPos, iVertex, position;
SUB lightVec, lightPos, iVertex;
MOV normal, iNormal;

END
